## org.eclipse.datatools.sqltools.sqlbuilder.views.select
Class GroupByContentViewer.SuperGroupExpressionSublistHolder

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.views.select.GroupByContentViewer.Holder
          org.eclipse.datatools.sqltools.sqlbuilder.views.select.GroupByContentViewer.SuperGroupExpressionSublistHolder

Enclosing class:
  GroupByContentViewer

    public class GroupByContentViewer.SuperGroupExpressionSublistHolder

extends GroupByContentViewer.Holder

SuperGroupExpressionSublistHolder

Constructor Summary
`GroupByContentViewer.SuperGroupExpressionSublistHolder(SuperGroupElementSublist superGroupElSublist, java.lang.Object expression)`

Method Summary
`void` `create(java.lang.String objectType)`
`void` `empty()`
`QueryValueExpression` `getExpression()`
`SuperGroupElementSublist` `getSuperGroupSublist()`
`void` `setExpression(QueryValueExpression newExpression)`

Methods inherited from class org.eclipse.datatools.sqltools.sqlbuilder.views.select.GroupByContentViewer.Holder
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GroupByContentViewer.SuperGroupExpressionSublistHolder

    public GroupByContentViewer.SuperGroupExpressionSublistHolder(SuperGroupElementSublist superGroupElSublist,
                                                                  java.lang.Object expression)

Method Detail

### getSuperGroupSublist

    public SuperGroupElementSublist getSuperGroupSublist()

### getExpression

    public QueryValueExpression getExpression()

  Specified by:
    `getExpression` in class `GroupByContentViewer.Holder`

### setExpression

    public void setExpression(QueryValueExpression newExpression)

  Specified by:
    `setExpression` in class `GroupByContentViewer.Holder`

### empty

    public void empty()

  Specified by:
    `empty` in class `GroupByContentViewer.Holder`

### create

    public void create(java.lang.String objectType)

  Specified by:
    `create` in class `GroupByContentViewer.Holder`